package urgrip.programnodes;

import com.ur.urcap.api.contribution.ViewAPIProvider;
import com.ur.urcap.api.contribution.program.ContributionConfiguration;
import com.ur.urcap.api.contribution.program.CreationContext;
import com.ur.urcap.api.contribution.program.ProgramAPIProvider;
import com.ur.urcap.api.contribution.program.swing.SwingProgramNodeService;
import com.ur.urcap.api.domain.data.DataModel;

import java.util.Locale;

public class GripperGripNodeService implements SwingProgramNodeService<GripperGripNodeContribution, GripperGripNodeView> {


    @Override
    public String getId() {
        return "GripperGrip";
    }

    @Override
    public void configureContribution(ContributionConfiguration configuration) {
        configuration.setChildrenAllowed(false);
    }

    @Override
    public String getTitle(Locale locale) {
        return "Grip: Grip";
    }

    @Override
    public GripperGripNodeView createView(ViewAPIProvider apiProvider) {
        return new GripperGripNodeView(new V5Style());
    }

    @Override
    public GripperGripNodeContribution createNode(ProgramAPIProvider apiProvider, GripperGripNodeView view, DataModel model, CreationContext context) {
        return new GripperGripNodeContribution(apiProvider, view, model);
    }

    public GripperGripNodeService() {

    }
}
