package urgrip.toolbar;

import javax.swing.*;
import javax.swing.event.ChangeEvent;
import javax.swing.event.ChangeListener;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

public class MyButton implements ChangeListener, ActionListener {

    private final JButton button;
    private final HandleButton cb;

    public MyButton(JButton b, HandleButton cb) {
        b.addChangeListener(this);
        b.addActionListener(this);
        this.button=b;
        this.cb=cb;
    }

    @Override
    public void stateChanged(ChangeEvent e) {

        JButton button = (JButton) e.getSource();
        if(e.getSource()==button) {
            if(button.getModel().isPressed())
                cb.down();
            else cb.up();

        }
    }

    public void close() {
        button.removeChangeListener(this);
    }


    @Override
    public void actionPerformed(ActionEvent e) {
        cb.action();
    }
}
